import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

//defining the dimensions of the SVG
const width = 900;
const height = 700;

//useData() in React is an local store to share data among components
const App = () => {
  const data = useData();

//'Loading...' is displayed when there is no data
  if (!data) {
    return <pre>Loading...</pre>;
  }
//return the SVG graphic if there is data
  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};
//To render a React element,DOM element is passed to ReactDOM.createRoot(), 
	//then pass the React element to root.render()
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
